Bug 17808 - Does not show error reports in case of a failed installation
Summary: Does not show error reports in case of a failed installation
Status: RESOLVED FIXED
Alias: None
Product: PackageKit
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-27 15:21 UTC by Sebastian Heinlein
Modified: 2012-01-05 09:54 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Log of the apt backend (1.60 KB, text/x-log)
2008-09-27 15:23 UTC, Sebastian Heinlein
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian Heinlein 2008-09-27 15:21:19 UTC
If the installation fails gpk-application does not show an error dialog.
Comment 1 Sebastian Heinlein 2008-09-27 15:23:11 UTC
Created attachment 19262 [details]
Log of the apt backend
Comment 2 Sebastian Heinlein 2008-09-27 15:30:11 UTC
Packagekitd log:

TI:00:27:07	TH:0x96d8188	FI:pk-backend-dbus.c	FN:pk_backend_dbus_error_code_cb,225
 - got signal
TI:00:27:07	TH:0x96d8188	FI:pk-backend.c	FN:pk_backend_error_code,1269
 - emit error-code unknown, silly-fail
Wähle vormals abgewähltes Paket silly-fail.
(Lese Datenbank ... 165338 Dateien und Verzeichnisse sind derzeit installiert.)
Entpacke silly-fail (aus ..././silly-fail_0.1-0_i386.deb) ...
Richte silly-fail ein (0.1-0) ...

TI:00:27:07	TH:0x96d8188	FI:pk-backend.c	FN:pk_backend_message,951
 - emit message 4, install-packages emitted 'unknown error' rather than a specific error - this is a backend problem and should be fixed!
TI:00:27:07	TH:0x96d8188	FI:pk-transaction.c	FN:pk_transaction_message_cb,604
 - ignoring message: install-packages emitted 'unknown error' rather than a specific error - this is a backend problem and should be fixed!
TI:00:27:07	TH:0x96d8188	FI:pk-transaction.c	FN:pk_transaction_error_code_cb,436
 - emitting error-code unknown, 'silly-fail
Wähle vormals abgewähltes Paket silly-fail.
(Lese Datenbank ... 165338 Dateien und Verzeichnisse sind derzeit installiert.)
Entpacke silly-fail (aus ..././silly-fail_0.1-0_i386.deb) ...
Richte silly-fail ein (0.1-0) ...
'
TI:00:27:07	TH:0x96d8188	FI:pk-backend-dbus.c	FN:pk_backend_dbus_finished_cb,204
 - deleting dbus 0x96e5230, exit failed
TI:00:27:07	TH:0x96d8188	FI:pk-backend.c	FN:pk_backend_finished,1417
 - finished role install-packages
TI:00:27:07	TH:0x96d8188	FI:pk-backend.c	FN:pk_backend_set_allow_cancel,1296
Comment 3 Sebastian Heinlein 2008-09-27 15:30:46 UTC
gpk output:
TI:00:27:07	TH:0x8fc5ca8	FI:gpk-client.c	FN:gpk_client_error_code_cb,475
 - code was unknown
TI:00:27:07	TH:0x8fc5ca8	FI:gpk-enum.c	FN:gpk_error_enum_to_localised_text,435
 - Unknown error
TI:00:27:07	TH:0x8fc5ca8	FI:gpk-enum.c	FN:gpk_error_enum_to_localised_message,608
 - Unknown error, please report a bug at https://bugs.freedesktop.org/.
More information is available in the detailed report.

** (gpk-application:15804): CRITICAL **: gpk_error_dialog_modal_with_time: assertion `title != NULL' failed
TI:00:27:07	TH:0x8fc5ca8	FI:gpk-animated-icon.c	FN:gpk_animated_icon_enable_animation,179
 - ignoring stop on stopped icon
TI:00:27:07	TH:0x8fc5ca8	FI:gpk-client-dialog.c	FN:gpk_client_dialog_set_title,262
 - setting title: <b><big>Beendet</big></b>
TI:00:27:07	TH:0x8fc5ca8	FI:gpk-client-dialog.c	FN:gpk_client_dialog_set_percentage,355
 - setting percentage: 100
TI:00:27:07	TH:0x8fc5ca8	FI:gpk-client-dialog.c	FN:gpk_client_dialog_set_percentage,355
 - setting percentage: 100
TI:00:27:07	TH:0x8fc5ca8	FI:gpk-animated-icon.c	FN:gpk_animated_icon_enable_animation,179
 - ignoring stop on stopped icon
TI:00:27:07	TH:0x8fc5ca8	FI:gpk-client.c	FN:gpk_client_finished_cb,360
 - quitting due to finished
TI:00:27:07	TH:0x8fc5ca8	FI:gpk-client.c	FN:gpk_client_error_set,646
 - No error set, so can't set: Unspecified failure
TI:00:28:58	TH:0x8fc5ca8	FI:gpk-application.c	FN:gpk_application_connection_changed_cb,1820
 - connected=0

Comment 4 Richard Hughes 2008-09-28 01:02:04 UTC
Is this with gnome-packagekit git master?
Comment 5 Sebastian Heinlein 2008-09-28 02:42:49 UTC
Right. I cannot exactly say when this error was introduced, since I noticed it two days ago working on the error handling in the apt backend.
Comment 6 Jean-François Fortin Tam 2012-01-05 09:54:22 UTC
Old bug is old!


bug/show.html.tmpl processed on Mar 25, 2017 at 23:37:05.
(provided by the Example extension).